Skip to content

Search for members under a department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Search for members under a department by organization code, department ID, and search keywords. Paging is supported, and you can choose to obtain custom data, identities, etc.

Method name

ManagementClient.search_department_members

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department ID, root department rootroot
keywordsstringyes-Search keywords, such as member namexxx
pagenumberno1Current page number, starting from 11
limitnumberno10The maximum number of pages is 50. The default value is 10.10
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
includeChildrenDepartmentsbooleanno-Whether to include members of child departments
withCustomDatabooleanno-Whether to obtain custom datatrue
withIdentitiesbooleanno-Whether to obtain identitiestrue
withDepartmentIdsbooleanno-Whether to obtain a list of department IDstrue
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: UserPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UserPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "status": "Activated",
      "workStatus": "Active",
      "externalId": "10010",
      "email": "test@example.com",
      "phone": "188xxxx8888",
      "phoneCountryCode": "+86",
      "username": "bob",
      "name": "xxx",
      "nickname": "xxx",
      "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
      "loginsCount": 3,
      "lastLogin": "2022-07-03T03:20:30.000Z",
      "lastIp": "127.0.0.1",
      "gender": "M",
      "emailVerified": true,
      "phoneVerified": true,
      "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
      "birthdate": "2022-06-03",
      "country": "CN",
      "province": "BJ",
      "city": "BJ",
      "address": "xxxxx",
      "streetAddress": "xxxxx",
      "postalCode": "438100",
      "company": "steamory",
      "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
      "device": "iOS",
      "givenName": "xx",
      "familyName": "xxx",
      "middleName": "James",
      "profile": "alice",
      "preferredUsername": "alice",
      "website": "https://my-website.com",
      "zoneinfo": "GMT-08:00",
      "locale": "af",
      "formatted": "132, My Street, Kingston, New York 12401.",
      "region": "Xinjiang Uyghur Autonomous Region",
      "userSourceType": "register",
      "passwordSecurityLevel": 1,
      "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
      "identities": {
        "identityId": "62299d8b866d2dab79a89dc4",
        "extIdpId": "6076bacxxxxxxxxd80d993b5",
        "provider": "wechat",
        "type": "openid",
        "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
        "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
        "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
        "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
      },
      "identityNumber": "420421xxxxxxxx1234",
      "customData": {
        "school": "xxxxx",
        "age": 22
      },
      "statusChangedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data Structure

UserPagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesData list Nested type: <a UserDto.

UserDto

NameTypeIs it required?DescriptionSample value
userIdstringYesThe unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
createdAtstringyescreation time2022-07-03T03:20:30.000Z
updatedAtstringyesupdate time2022-07-03T03:20:30.000Z
statusstringyescurrent status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
Suspended
workStatusstringyescurrent work status of the accountClosed
externalIdstringnothird-party external ID10010
emailstringnoemail address, case insensitivetest@example.com
phonestringNoPhone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringNoPhone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not currently support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
usernamestringNoUsername, unique in the user poolbob
namestringnoUser's real name, not uniquexxx
nicknamestringnoNicknamexxx
photostringnoAvatar linkhttps://files.authing.co/authing-console/default-user-avatar.png
loginsCountnumbernoTotal number of historical logins3
lastLoginstringnoLast login time2022-07-03T03:20:30.000Z
lastIpstringnoLast login IP127.0.0.1
genderstringyesGender:
- M: Male, male
- F: Female, female
- U: Unknown, unknown
M
emailVerifiedbooleanyesIs email verified?true
phoneVerifiedbooleanyesIs phone number verified?true
passwordLastSetAtstringnoUser's last password modification time2022-07-03T03:20:30.000Z
birthdatestringnoDate of birth2022-06-03
countrystringNoCountryCN
provincestringNoProvinceBJ
citystringNoCityBJ
addressstringNoAddressxxxxx
streetAddressstringNoStreet Addressxxxxx
postalCodestringNoPostal Code438100
companystringNoCompanysteamory
browserstringNoLast browser used UAMozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0
devicestringnoThe device used to log in last timeiOS
givenNamestringnogiven namexx
familyNamestringnoLast Namexxx
middleNamestringnoMiddle NameJames
profilestringnoPreferred Usernamealice
preferredUsernamestringnoPreferred Usernamealice
websitestringnoUser personal websitehttps://my-website.com
zoneinfostringnoUser time zone informationGMT-08:00
localestringnoLocaleaf
formattedstringnoStandard full address132, My Street, Kingston, New York 12401.
regionstringnoUser's regionXinjiang Uyghur Autonomous Region
userSourceTypestringyesSource type:
- excel: Imported via excel
- register: User self-registration
- adminCreated: Manual creation by the administrator backend (including creating users using the management API)
- syncTask: Sync task in the sync center
excel
userSourceIdstringnoApplication ID or sync task ID
lastLoginAppstringnoApplication ID of the user's last login
mainDepartmentIdstringnoUser's main department ID
lastMfaTimestringnoTime when the user last performed MFA authentication
passwordSecurityLevelnumbernoUser password security strength level1
resetPasswordOnNextLoginbooleanNoRequire password reset on next login
registerSourcearrayNoRegistration method
departmentIdsarraynoList of department IDs to which the user belongs["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"]
identitiesarraynoExternal identity source Nested type: <a IdentityDto.
identityNumberstringNoUser ID number420421xxxxxxxx1234
customDataobjectNoUser's extended field data{"school":"xxxxx","age":22}
postIdListarrayNoUser-associated department ID
statusChangedAtstringNoUser status last modified time2022-07-03T03:20:30.000Z
tenantIdstringNoUser tenant ID

IdentityDto

NameTypeIs this field required?DescriptionSample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-based enterprise identity source
- oauth2: OAuth2-based enterprise identity source
- saml: SAML-based enterprise identity source
- ldap: LDAP-based enterprise identity source
- ad: AD-based enterprise identity source
- cas: CAS-based enterprise identity source
- azure-ad: Azure AD-based enterprise identity source
oidc
typestringYesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringYesID in external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectYesUser's identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is returned only when the user actively obtains it, and it is not returned by the management interface).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is returned only when the user actively obtains it, and it is not returned by the management interface).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesIdentity source connection ID list from which the identity comes["605492ac41xxxxe0362f0707"]

Agent infrastructure for identity, memory, and web action.